<?php 

/*******************************************************************************************/
/*
/*		Designed by 'AS Designing'
/*		Web: http://www.asdesigning.com
/*		Email: info@asdesigning.com
/*		License: Creative Commons
/*
/*******************************************************************************************/

// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Main column parameters
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


$main_location 	= 'left';	

if($rightcolumn_location != 'right')
{
	$main_location = 'right';
}


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Main Column - Dimensions


$main_width = $content_width;

if ($rightcolumn && $leftcolumn)
{
	$main_width = $content_width - ($sidebar_width * 2) - ($padding * 2);
}
else if ($rightcolumn || $leftcolumn)
{
	$main_width = $content_width - $sidebar_width - $padding;
}


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


$main_blogcols2width = 0;
$main_blogcols3width = 0;
$main_blogcols4width = 0;

$main_componentwidth = $main_width;

if($leftcolumn && $rightcolumn)
{
	$main_blogcols2width = $main_componentwidth;
	$main_blogcols3width = $main_componentwidth;
	$main_blogcols4width = $main_componentwidth;
}
else
{
	$main_blogcols2width = ($main_componentwidth - $padding) / 2;
	$main_blogcols3width = ($main_componentwidth - $padding * 2) / 3;
	$main_blogcols4width = ($main_componentwidth - $padding * 3) / 4;
}


$main_onefourth_width = ($main_componentwidth - $padding * 3) / 4;
$main_threefourth_width = $main_componentwidth - $main_onefourth_width - $padding;
$main_onethird_width = ($main_componentwidth - $padding * 2) / 3;
$main_twothird_width = $main_componentwidth - $main_onethird_width - $padding;
$main_onehalf_width = ($main_componentwidth - $padding) / 2;


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Fonts


$main_h1fontsize 			= $this->params->get('main_h1fontsize'); 
$main_h2fontsize 			= $this->params->get('main_h2fontsize'); 
$main_h3fontsize 			= $this->params->get('main_h3fontsize'); 
$main_h4fontsize 			= $this->params->get('main_h4fontsize'); 
$main_h5fontsize 			= $this->params->get('main_h5fontsize'); 
$main_hfontweight 			= $this->params->get('main_hfontweight');
$main_htransform		 	= $this->params->get('main_htransform');

$main_h2spancolor 	= '';
if($this->params->get('main_h2spancolor') && !$cufon_fontfamily)
{
	$main_h2spancolor = '#' . $this->params->get('main_h2spancolor');
	echo "
        <script type='text/javascript'>
            var asjQuery = jQuery.noConflict();
            asjQuery(window).load(function() 
			{
				if(!asjQuery('#colmain #component div').hasClass('contact'))
				{
					if(asjQuery('#colmain #component h2 a').length > 0)
					{
						asjQuery('#colmain #component h2 a').each(function() 
						{" . $hspan . "});
					}
					else
					{
						asjQuery('#colmain #component h2').each(function() 
						{" . $hspan . "});
					}
				}
            });
        </script>";
}

$main_h5spancolor 	= '';
if($this->params->get('main_h5spancolor') && !$cufon_fontfamily)
{
	$main_h5spancolor = '#' . $this->params->get('main_h5spancolor');
	echo "
        <script type='text/javascript'>
            var asjQuery = jQuery.noConflict();
            asjQuery(window).load(function() 
			{
				if(asjQuery('#colmain #component h5 a').length > 0)
				{
					asjQuery('#colmain #component h5 a').each(function() 
					{" . $hspan . "});
				}
				else
				{
					asjQuery('#colmain #component h5').each(function() 
					{" . $hspan . "});
				}
            });
        </script>";
}

$main_fontcolor 			= '#' . ($this->params->get('main_fontcolor'));
$main_hfontcolor 			= '#' . ($this->params->get('main_hfontcolor'));
$main_underlinecolor		= '#' . ($this->params->get('main_underlinecolor'));

$main_hshadowcolor 	= '';
if($this->params->get('main_hshadowcolor'))
	$main_hshadowcolor = 'text-shadow: 1px 1px #' . $this->params->get('main_hshadowcolor');	

// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Links 


$main_linkcolor 			= '#' . $this->params->get('main_linkcolor');
$main_linkcolorhover 		= '#' . $this->params->get('main_linkcolorhover');


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Error msgs


$main_errorfontcolor 		= '#' . $this->params->get('main_errorfontcolor');


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Separator height between featured articles


$main_itemseparator = 25;
if ($this->params->get('main_itemseparator'))
{
	$main_itemseparator = htmlspecialchars($this->params->get('main_itemseparator'));
}


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Main Column - Row 1


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Main Column - Row 1 - Fonts

$main_row1_hspancolor 	= '';
if($this->params->get('main_row1_hspancolor') && !$cufon_fontfamily)
{
	$main_row1_hspancolor = '#' . $this->params->get('main_row1_hspancolor');
	echo "
        <script type='text/javascript'>
            var asjQuery = jQuery.noConflict();
            asjQuery(window).load(function() 
			{
				if(asjQuery('#colmain .row1 h3 a').length > 0)
				{
					asjQuery('#colmain .row1 h3 a').each(function() 
					{" . $hspan . "});
				}
				else
				{
					asjQuery('#colmain .row1 h3').each(function() 
					{" . $hspan . "});
				}				
            });
        </script>";
}

$main_row1_fontcolor 		= '#' . $this->params->get('main_row1_fontcolor');
$main_row1_hfontcolor 		= '#' . $this->params->get('main_row1_hfontcolor');
$main_row1_linkcolor 		= '#' . $this->params->get('main_row1_linkcolor');
$main_row1_linkcolorhover 	= '#' . $this->params->get('main_row1_linkcolorhover');


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Main Column - Row 1 - Dimensions


$main_row1  = 0;
$main_row1  += (bool) $this->countModules('position-20');
$main_row1  += (bool) $this->countModules('position-21'); 
$main_row1  += (bool) $this->countModules('position-22'); 
$main_row1  += (bool) $this->countModules('position-23'); 


if($main_row1 == 2)
{
	$main_row1_colwidth = ($main_componentwidth - $main_sepwidth) / 2;
}
else if($main_row1 == 3)
{
	$main_row1_colwidth = ($main_componentwidth - $main_sepwidth * 2) / 3;
}
else if($main_row1 == 4)
{
	$main_row1_colwidth = ($main_componentwidth - $main_sepwidth * 3) / 4;
}
else
{
	$main_row1_colwidth = $main_componentwidth;	
}	


// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Main Column - Row1 - Separators


$main_row1_separator1 = 0;
$main_row1_separator2 = 0;
$main_row1_separator3 = 0;

$main_row1_separator1 += (bool)($this->countModules('position-20') && ($this->countModules('position-21') ||
                          				                    				   $this->countModules('position-22') ||
                                        				      				   $this->countModules('position-23')));

$main_row1_separator2 += (bool)(($this->countModules('position-20') || $this->countModules('position-21')) && 
					  			      ($this->countModules('position-22') || $this->countModules('position-23')));
					
$main_row1_separator3 += (bool)(($this->countModules('position-20') || 
									   $this->countModules('position-21') ||
									   $this->countModules('position-22')) && ($this->countModules('position-23')));


?>
